> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Kota Eligibility

> Evaluates whether an employee is eligible for Kota benefits, including country employer availability.

Required scope: `documents:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/check-kota-eligibility
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/check-kota-eligibility:
    get:
      operationId: checkKotaEligibility
      summary: Check Kota Eligibility
      x-toku-required-scope: documents:read
      description: >-
        Evaluates whether an employee is eligible for Kota benefits, including
        country employer availability.


        Required scope: `documents:read`
      parameters:
        - name: employeeID
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckKotaEligibilityResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CheckKotaEligibilityResponse:
      type: object
      properties:
        isEligible:
          type: boolean
        reasons:
          type: array
          items:
            type: string
        metadata:
          type: object
          properties:
            workCountry:
              type: string
            employmentCategory:
              type: string
            employmentType:
              type: string
            workScheduleSource:
              type: string
              enum:
                - TGA
                - LEGACY
            status:
              type: string
            startDate:
              type: string
            terminationDate:
              type: string
            daysUntilStart:
              type: number
            daysBetweenStartAndTermination:
              type: number
            hasExistingEnrollment:
              type: boolean
      required:
        - isEligible
        - reasons
        - metadata
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
